
#include <stdio.h>
#include "windows.h"
#include "s3dtk.h"

S3DTK_LIB_INIT * pInit;
S3DTK_LPFUNCTIONLIST * ppFn;
S3DTK_LPRENDERER_INITSTRUCT * pRendInit;
int result;

int main(void)
{
result = S3DTK_InitLib(pInit); 
if (result == S3DTK_OK) 
printf("S3DTK:Init() = OK\n");
else
printf("S3DTK:Init() = ERROR(0x%08X)\n",result);

/////////////////////////////////////////////////////////////

result = S3DTK_CreateRenderer(*pRendInit,ppFn);
if (result == S3DTK_OK) 
printf("S3DTK:CreateRenderer() = OK\n");
else
printf("S3DTK:CreateRenderer() = ERROR(0x%08X)\n",result);

/////////////////////////////////////////////////////////////



/////////////////////////////////////////////////////////////

result = S3DTK_ExitLib(); 
if (result == S3DTK_OK) 
printf("S3DTK:Exit() = OK\n");
else
printf("S3DTK:Exit() = ERROR(0x%08X)\n",result);

return 0;
}
